# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.impl
Class ExifTag

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.photos.impl.ExifTag

All Implemented Interfaces:
  Extension

    public class ExifTag

extends ValueConstruct

An exif tag with a given name and value. All exif tags are represented as just a name and a string value. This element is marked "repeatable" because we allow arbitrary exif tags to be passed around.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ExifTag(java.lang.String name)` Construct an empty exif tag with the given name.
`ExifTag(java.lang.String name, java.lang.String value)` Construct an exif tag of <ns:name>value</ns:name>.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Describe this tag.
`java.lang.String` `getName()` Get the name of this exif tag.

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExifTag

    public ExifTag(java.lang.String name)

  Construct an empty exif tag with the given name. Used when parsing the values from the client.

### ExifTag

    public ExifTag(java.lang.String name,
                   java.lang.String value)

  Construct an exif tag of <ns:name>value</ns:name>.

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this exif tag.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describe this tag. Does not include the name because that is set at runtime, rather than at compile time.